package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesRanking;

/**
 * 院校排名Service接口
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public interface IBBusiWishUniversitiesRankingService 
{
    /**
     * 查询院校排名
     * 
     * @param id 院校排名ID
     * @return 院校排名
     */
    public BBusiWishUniversitiesRanking selectBBusiWishUniversitiesRankingById(String id);
    public Integer selectUniversitiesRankingMaxYearByType(String type);

    /**
     * 查询院校排名列表
     * 
     * @param bBusiWishUniversitiesRanking 院校排名
     * @return 院校排名集合
     */
    public List<BBusiWishUniversitiesRanking> selectBBusiWishUniversitiesRankingList(BBusiWishUniversitiesRanking bBusiWishUniversitiesRanking);
    public List<String> selectBBusiWishUniversitiesRankingTypes();
    public List<Integer> selectBBusiWishUniversitiesRankingYears(String type);
    /**
     * 新增院校排名
     * 
     * @param bBusiWishUniversitiesRanking 院校排名
     * @return 结果
     */
    public int insertBBusiWishUniversitiesRanking(BBusiWishUniversitiesRanking bBusiWishUniversitiesRanking);

    /**
     * 修改院校排名
     * 
     * @param bBusiWishUniversitiesRanking 院校排名
     * @return 结果
     */
    public int updateBBusiWishUniversitiesRanking(BBusiWishUniversitiesRanking bBusiWishUniversitiesRanking);

    /**
     * 批量删除院校排名
     * 
     * @param ids 需要删除的院校排名ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesRankingByIds(String[] ids);

    /**
     * 删除院校排名信息
     * 
     * @param id 院校排名ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesRankingById(String id);
}
